<?php

class WPBakeryShortCode_Amazing_Team_Item extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "image"     => "",
            "author"    => "John Doe",
            "description" => ""
        ), $atts ) );
        
        $thumb = $image != '' ? wp_get_attachment_image($image, 'model-image') : '';

        $result = "<div class='swiper-slide procedure-slide'>
                         $thumb
                         <h3>$author</h3>
                         <span>$description</span>
                     </div>";

        return $result;
    }
}

vc_map( array(
    "name" => esc_html__("Team Item", 'nrgfashion'),
    "description" => esc_html__("Carousel Item", 'nrgfashion'),
    "base" => 'amazing_team_item',
    "class" => "",
    "icon" => "tt-icon team-item",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "amazing_team_carousel"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textfield',
            "param_name" => "author",
            "heading" => esc_html__("Author", 'nrgfashion'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            "type" => "textfield",
            "param_name" => "description",
            "heading" => esc_html__("Description", 'nrgfashion'),
            "value" => ""
        )

    )
) );