<?php


class WPBakeryShortCode_Text_Carousel_Container extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '';

        $result = '<div class="swiper-container procedure-slider '.$extra_class.'" data-slides-per-view="1" data-loop="0" data-mode="horizontal">
                             <div class="swiper-wrapper">
                                '.do_shortcode($content).'
                                </div>
                                <div class="pagination pagination-hide hidden"></div>
                                <div class=" h-arrow-container">
                                 <div class="swiper-arrow-left"><i class="fa fa-long-arrow-left"></i></div>
                                 <span class="slider-index">
                                        <span class="start_index">1</span>
                                        <span>/</span>
                                        <span class="end_index">1</span>
                                 </span>
                                 <div class="swiper-arrow-right"><i class="fa fa-long-arrow-right"></i></div>
                             </div>

                   </div>';

        return $result;
    }
}


vc_map( array(
    "name" => esc_html__("Text Carousel", "nrgfashion"),
    "description" => esc_html__("Text Carousel Container", 'nrgfashion'),
    "show_settings_on_create" => true,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "text_carousel"),
    "base" => "text_carousel_container",
    "icon" => "tt-icon text-carousel-container",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    ),
    "js_view" => 'VcColumnView'
));