<?php

class WPBakeryShortCode_Text_Carousel extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "extra_class" => ''
        ), $atts ) );

        $content = wpb_js_remove_wpautop( $content, true );

        return "<div class='swiper-slide'>
                     $content
                 </div>";
    }
}

vc_map( array(
    "name" => esc_html__("Text Carousel", 'nrgfashion'),
    "description" => esc_html__("Text Carousel Item", 'nrgfashion'),
    "base" => 'text_carousel',
    "class" => "",
    "icon" => "tt-icon text-carousel",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "text_carousel_container"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type" => "textarea_html",
            "param_name" => "content",
            "heading" => esc_html__("Content", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    )
) );