<?php


class WPBakeryShortCode_Model_Container extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '';


        $result = '<div class="models '.$extra_class.'">
                        <div class="swiper-container model-slider" data-mode="horizontal" data-slides-per-view="responsive" data-xs-slides="1" data-sm-slides="2" data-md-slides="3" data-lg-slides="3" data-loop="0">
                            <div class="swiper-wrapper">
                                '.do_shortcode($content).'
                            </div>
                            <div class="pagination swiper-pagination"></div>
                        </div>
                        <div class="arrow-container">
                            <div class="arrow-left"><i class="fa fa-long-arrow-left"></i></div>
                            <span class="slider-index">
                                    <span class="start_index">1</span>
                                    <span>/</span>
                                    <span class="end_index">1</span>
                             </span>
                            <div class="arrow-right"><i class="fa fa-long-arrow-right"></i></div>
                        </div>
                   </div>';

        return $result;
    }
}


vc_map( array(
    "name" => esc_html__("Model Carousel", "nrgfashion"),
    "description" => esc_html__("Model Element Container", 'nrgfashion'),
    "show_settings_on_create" => true,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "model"),
    "base" => "model_container",
    "icon" => "tt-icon model-container",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    ),
    "js_view" => 'VcColumnView'
));