<?php


class WPBakeryShortCode_Tabbed_Team_Container extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '';


        $result = '<div class="tab-wrapper tabbed-team '.$extra_class.'">
                        <div class="tabs-content clearfix">
                            '.do_shortcode($content).'
                        </div>
                        <div class="nav-tab clearfix"></div>
                   </div>';

        return $result;
    }
}


vc_map( array(
    "name" => esc_html__("Tabbed Team Carousel", "nrgfashion"),
    "description" => esc_html__("Tabbed Team Container", 'nrgfashion'),
    "show_settings_on_create" => true,
    'is_container' => true,
    "content_element" => true,
    "as_parent" => array("only" => "tabbed_team"),
    "base" => "tabbed_team_container",
    "icon" => "tt-icon tabbed-team-container",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    ),
    "js_view" => 'VcColumnView'
));