<?php


class WPBakeryShortCode_Amazing_Team_Carousel extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '';


        $result = '<div class="swiper-container '.$extra_class.'" data-mode="horizontal" data-slides-per-view="2" data-loop="1" data-space-between="30">
                        <div class="swiper-wrapper">
                            '.do_shortcode($content).'
                        </div>
                        <div class="pagination pagination-hide"></div>
                   </div>';

        return "<div class='amazing-team-wrapper'>$result</div>";
    }
}


vc_map( array(
    "name" => esc_html__("Team Carousel", "nrgfashion"),
    "description" => esc_html__("Team Carousel Container", 'nrgfashion'),
    "show_settings_on_create" => true,
    'is_container' => false,
    "content_element" => true,
    "as_parent" => array("only" => "amazing_team_item"),
    "base" => "amazing_team_carousel",
    "icon" => "tt-icon team-carousel",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    ),
    "js_view" => 'VcColumnView'
));