<?php


class WPBakeryShortCode_Text_Image_Carousel_Container extends WPBakeryShortCodesContainer{
    protected function content($atts, $content=NULL){
        extract(shortcode_atts(array(
            'extra_class' => ""
        ), $atts));

        $result = '';

        $result = '<div class="swiper-container col-inform" data-mode="horizontal" data-loop="1" data-slides-per-view="1">
                             <div class="swiper-wrapper">
                                '.do_shortcode($content).'
                                </div>
                                <div class="pagination swiper-pagination hidden"></div>
                                 <div class="arrows">
                                    <div class="arrow-left"><i class="fa fa-long-arrow-left"></i></div>
                                    <div class="arrow-right"><i class="fa fa-long-arrow-right"></i></div>
                                </div>

                   </div>';

        return $result;
    }
}


vc_map( array(
    "name" => esc_html__("Text & Image Carousel", "nrgfashion"),
    "description" => esc_html__("Text & Image Carousel Container", 'nrgfashion'),
    "show_settings_on_create" => true,
    'is_container' => false,
    "content_element" => true,
    "as_parent" => array("only" => "text_image_carousel"),
    "base" => "text_image_carousel_container",
    "icon" => "tt-icon text-image-carousel-container",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "params" => array(
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    ),
    "js_view" => 'VcColumnView'
));